Skip to main content
GET
/
api
/
v1
/
leads
List all leads
curl --request GET \
  --url https://app.dosfinds.co.uk/api/v1/leads \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.dosfinds.co.uk/api/v1/leads"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.dosfinds.co.uk/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "service_name": "Immigration",
    "service_slug": "immigration",
    "created_at": "2025-05-04T12:34:56Z",
    "client_name": "John Doe",
    "client_email": "john.doe@example.com",
    "client_phone_number": "+441234567890",
    "client_address": {
      "friendly_address": "London, England, SW11 3PG"
    },
    "service_question_answers": [
      {
        "question": "What is your nationality?",
        "slug": "nationality",
        "answer": "British"
      }
    ],
    "all_details_one_liner": "What is your nationality?\nBritish\n--\nAddress: Online - London, England, SW11 3PG\n"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

id
integer
required
Example:

123

service_name
string
required
Example:

"Immigration"

service_slug
string
required
Example:

"immigration"

created_at
string<date-time>
required
Example:

"2025-05-04T12:34:56Z"

client_name
string
required
Example:

"John Doe"

client_email
string<email>
required
Example:

"john.doe@example.com"

client_phone_number
string
required
Example:

"+441234567890"

client_address
object | null
required
service_question_answers
object[]
required
all_details_one_liner
string
required

Concatenated questions/answers and address in a single string.

Example:

"What is your nationality?\nBritish\n--\nAddress: Online - London, England, SW11 3PG\n"